## glite-lbjp-common-jp-interface 2.2.1

=== Makefile ===
# defaults
top_srcdir=..
builddir=build
top_builddir=${top_srcdir}/${builddir}
stagedir=.
globalprefix=glite
jpprefix=jp
package=glite-lbjp-common-jp-interface
version=0.0.0
PREFIX=/opt/glite
prefix=

globus_prefix=/opt/globus
expat_prefix=/opt/expat
gsoap_prefix=/software/gsoap-2.6

CC=gcc

-include Makefile.inc
-include ${top_srcdir}/project/version.properties

version=${module.version}

VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/project:${jpproject}

DEBUG:=-g -O0 -W -Wno-sign-compare
CFLAGS:=${CFLAGS} ${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include

# In order to use libtool versioning correcty, we must have:
#
# current = major + minor + offset
# revision = patch
# age = minor
#
# where offset is a sum of maximal released minor's of all previous major's
# 

# counted minors: n/a
offset=0

version_info:=-version-info ${shell \
	perl -e '$$,=":"; @F=split "\\.","${version}"; print $$F[0]+$$F[1]+${offset},$$F[2],$$F[1]' }


LINK:=libtool --mode=link ${CC} ${LDFLAGS} -rpath ${stagedir}${prefix}/${libdir} ${version_info}
LINKXX:=libtool --mode=link ${CXX} ${LDFLAGS} 
INSTALL:=libtool --mode=install install
COMPILE:=libtool --mode=compile ${CC} ${CFLAGS}

HDRS:=types.h context.h attr.h known_attr.h backend.h builtin_plugins.h file_plugin.h indexdb.h type_plugin.h

SRCS:=context.c attr.c utils.c indexdb.c
OBJS:=${SRCS:.c=.lo}
THROBJS:=${OBJS:.o=.thr.lo}
LIBS:=-L${stagedir}${prefix}/${libdir} -lglite_jobid -lglite_lbu_db
THRLIBS:=${LIBS}

CPPUNIT_LIBS?=-L${cppunit_prefix}/${libdir} -lcppunit -ldl
CPPUNIT_CFLAGS?=-I${cppunit_prefix}/include

commonlib_nothr:= libglite_jp_common_${nothrflavour}.la
commonlib_thr:= libglite_jp_common_${thrflavour}.la
commonlib:= libglite_jp_common.la
ifeq (${thrflavour},)
lib_LTLIBRARIES=${commonlib}
default_commonlib=${commonlib}
else
lib_LTLIBRARIES=${commonlib_nothr} ${commonlib_thr}
default_commonlib=${commonlib_nothr}
endif

default all: compile

compile: ${lib_LTLIBRARIES}

${commonlib_nothr}: ${OBJS}
	${LINK} -o $@ ${OBJS} ${LIBS}

${commonlib_thr}: ${THROBJS}
	${LINK} -o $@ ${THROBJS} ${THRLIBS}

${commonlib}: ${OBJS}
	${LINK} -o $@ ${OBJS} ${LIBS}

check: type_test
	LD_LIBRARY_PATH=${log4c_prefix}/${libdir}:${log4c_prefix}/lib:${LD_LIBRARY_PATH} ./type_test type_test.xml

type_test: %: %.cpp compile
	${CXX} -c ${CFLAGS} ${CPPUNIT_CFLAGS} $<
	${LINKXX} -o $@ $@.o ${default_commonlib} ${CPPUNIT_LIBS} 

doc:

stage: compile
	$(MAKE) install PREFIX=${stagedir}

install:
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jpprefix}
	cd ${top_srcdir}/interface && install -m 644 ${HDRS} ${DESTDIR}${PREFIX}${prefix}/include/${globalprefix}/${jpprefix}
	-mkdir -p ${DESTDIR}${PREFIX}${prefix}/${libdir}
	${INSTALL} -m 755 ${lib_LTLIBRARIES} ${DESTDIR}${PREFIX}${prefix}/${libdir}

clean:
	rm -rvf *.o *.lo .libs lib*
	rm -vf type_test type_test.xml
	rm -f glite jp

distclean:
	rm -rvf Makefile.inc *.spec debian/

%.thr.lo: %.c
	${COMPILE} -o $@ -c $<

%.lo: %.c
	${COMPILE} -o $@ -c $<

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.2.1-3) unstable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Thu, 26 Jul 2012 12:24:12 +0200

=== debian/control ===
Source: glite-lbjp-common-jp-interface
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), chrpath, libcppunit-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-trio-dev, libtool, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch
DM-Upload-Allowed: yes
Vcs-Cvs: :pserver:anonymous@jra1mw.cvs.cern.ch:/cvs/jra1mw
Vcs-Browser: http://jra1mw.cvs.cern.ch/cgi-bin/jra1mw.cgi

Package: libglite-jp-common2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public API to JP service internal interface
 Definiton of interfaces required to build plugins for JP services and
 implementation of minimal library of support
 functions.

Package: libglite-lbjp-common-jp-interface-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-jp-interface
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP interface library
 This package contains development libraries and header files for gLite L&B/JP
 interface library.

Package: glite-lbjp-common-jp-interface-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: gLite L&B/JP interface library debugging symbols
 This package contains debugging symbols for gLite L&B/JP interface library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

-include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	/usr/bin/perl ./configure --thrflavour= --nothrflavour= --root=/ --prefix=/usr --libdir=lib --project=emi --module lbjp-common.jp-interface
	touch $@

build: build-arch build-indep

build-arch build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE)
	CFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)" $(MAKE) check
	touch $@

clean: configure-stamp
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp
	$(MAKE) clean
	rm -f Makefile.inc config.status
	dh_clean

install: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'

binary-indep:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_installlogrotate
	dh_installcron
	dh_install --fail-missing
	dh_link
	dh_strip --dbg-package=glite-lbjp-common-jp-interface-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep

## glite-lbjp-common-jp-interface 2.3.1

=== Makefile ===
--- 
+++ 
@@ -16,12 +16,16 @@
 
 CC=gcc
 
+default: all
+
 -include Makefile.inc
 -include ${top_srcdir}/project/version.properties
 
 version=${module.version}
 
 VPATH=${top_srcdir}/src:${top_srcdir}/test:${top_srcdir}/project:${jpproject}
+
+SOURCES=interface/*.h project/.post* src/*.c test/*.cpp Makefile
 
 DEBUG:=-g -O0 -W -Wno-sign-compare
 CFLAGS:=${CFLAGS} ${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include
@@ -69,7 +73,7 @@
 default_commonlib=${commonlib_nothr}
 endif
 
-default all: compile
+all: compile
 
 compile: ${lib_LTLIBRARIES}
 
@@ -104,6 +108,7 @@
 	rm -rvf *.o *.lo .libs lib*
 	rm -vf type_test type_test.xml
 	rm -f glite jp
+	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
 	rm -rvf Makefile.inc *.spec debian/
@@ -112,4 +117,6 @@
 	${COMPILE} -o $@ -c $<
 
 %.lo: %.c
-	${COMPILE} -o $@ -c $< 
+	${COMPILE} -o $@ -c $<
+
+.PHONY: default all compile check doc stage install clean distclean dist distcheck

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.3.1-0head.2) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Tue, 14 Aug 2012 19:22:31 +0200

## glite-lbjp-common-jp-interface 2.3.6

=== Makefile ===
--- 
+++ 
@@ -111,7 +111,7 @@
 	rm -rvf dist ${package}-*.tar.gz
 
 distclean:
-	rm -rvf Makefile.inc *.spec debian/
+	rm -rvf project/changelog Makefile.inc *.spec debian/
 
 %.thr.lo: %.c
 	${COMPILE} -o $@ -c $<

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.3.6-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Wed, 23 Jan 2013 19:04:56 +0100

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Public API to JP service internal interface
- Definiton of interfaces required to build plugins for JP services and
+ Definition of interfaces required to build plugins for JP services and
  implementation of minimal library of support
  functions.

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 -include /usr/share/dpkg/buildflags.mk
+
+p_dbg=glite-lbjp-common-jp-interface-dbg
+p_dev=libglite-lbjp-common-jp-interface-dev
+p_lib=libglite-jp-common2
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
@@ -27,7 +31,7 @@
 	dh_testroot
 	rm -f configure-stamp build-stamp
 	$(MAKE) clean
-	rm -f Makefile.inc config.status
+	rm -f Makefile.inc config.status *.spec
 	dh_clean
 
 install: build-stamp
@@ -36,16 +40,19 @@
 	dh_prep
 	dh_installdirs
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.la
-	rm -vf $(CURDIR)/debian/tmp/usr/lib/*.a
-	find $(CURDIR)/debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	rm -vf debian/tmp/usr/lib/*.la
+	find debian/tmp -name '*' -print | xargs -I {} -i bash -c "chrpath -d {} > /dev/null 2>&1" || echo 'Stripped RPATH'
+	mkdir -p debian/$(p_dev)/usr/share/doc
+	mkdir -p debian/$(p_dbg)/usr/share/doc
+	ln -s $(p_lib) debian/$(p_dev)/usr/share/doc/$(p_dev)
+	ln -s $(p_lib) debian/$(p_dbg)/usr/share/doc/$(p_dbg)
 
 binary-indep:
 
 binary-arch: install
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs
+	dh_installchangelogs project/ChangeLog
 	dh_installdocs
 	dh_installexamples
 	dh_installman
@@ -53,7 +60,7 @@
 	dh_installcron
 	dh_install --fail-missing
 	dh_link
-	dh_strip --dbg-package=glite-lbjp-common-jp-interface-dbg
+	dh_strip --dbg-package=$(p_dbg)
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## glite-lbjp-common-jp-interface 2.3.8

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.3.8-1.git20130805) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Mon, 05 Aug 2013 14:53:05 +0200

=== debian/control ===
--- 
+++ 
@@ -28,10 +28,10 @@
  This package contains development libraries and header files for gLite L&B/JP
  interface library.
 
-Package: glite-lbjp-common-jp-interface-dbg
+Package: libglite-jp-common2-dbg
 Section: debug
 Architecture: any
 Priority: extra
 Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
-Description: gLite L&B/JP interface library debugging symbols
+Description: Debugging symbols for gLite L&B/JP interface library
  This package contains debugging symbols for gLite L&B/JP interface library.

## glite-lbjp-common-jp-interface 2.3.9

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 SOURCES=interface/*.h project/.post* src/*.c test/*.cpp Makefile
 
 DEBUG:=-g -O0 -W -Wno-sign-compare
-CFLAGS:=${CFLAGS} ${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include
+CFLAGS:=${DEBUG} -D_GNU_SOURCE -I. -I${top_srcdir}/interface -I${stagedir}${prefix}/include ${CFLAGS}
 
 # In order to use libtool versioning correcty, we must have:
 #
@@ -77,14 +77,16 @@
 
 compile: ${lib_LTLIBRARIES}
 
+ifeq (${thrflavour},)
+${commonlib}: ${OBJS}
+	${LINK} -o $@ ${OBJS} ${LIBS}
+else
 ${commonlib_nothr}: ${OBJS}
 	${LINK} -o $@ ${OBJS} ${LIBS}
 
 ${commonlib_thr}: ${THROBJS}
 	${LINK} -o $@ ${THROBJS} ${THRLIBS}
-
-${commonlib}: ${OBJS}
-	${LINK} -o $@ ${OBJS} ${LIBS}
+endif
 
 check: type_test
 	LD_LIBRARY_PATH=${log4c_prefix}/${libdir}:${log4c_prefix}/lib:${LD_LIBRARY_PATH} ./type_test type_test.xml

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.3.9-1) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Fri, 22 Nov 2013 11:57:45 +0100

## glite-lbjp-common-jp-interface 2.3.11

=== debian/changelog ===
glite-lbjp-common-jp-interface (2.3.11-1.git20151003) stable; urgency=low

  * Automatically generated package

 -- CESNET Product Teams <emi-lb@metacentrum.cz>  Sat, 03 Oct 2015 10:10:48 +0200

=== debian/control ===
Source: glite-lbjp-common-jp-interface
Priority: extra
Maintainer: CESNET Product Teams <emi-lb@metacentrum.cz>
Uploaders: František Dvořák <valtri@civ.zcu.cz>
Build-Depends: debhelper (>= 7.0.50~), libcppunit-dev, libglite-jobid-api-c-dev, libglite-lbjp-common-db-dev, libglite-lbjp-common-trio-dev, libtool-bin, pkg-config
Standards-Version: 3.9.1
Section: libs
Homepage: http://glite.cern.ch

Package: libglite-jp-common2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Public API to JP service internal interface
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.

Package: libglite-lbjp-common-jp-interface-dev
Section: libdevel
Architecture: any
Provides: glite-lbjp-common-jp-interface
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Development files for gLite L&B/JP interface library
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.
 .
 This package contains development libraries and header files for gLite L&B/JP
 interface library.

Package: libglite-jp-common2-dbg
Section: debug
Architecture: any
Depends: libglite-jp-common2 (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gLite L&B/JP interface library
 Definition of interfaces required to build plugins for Job Provenance services
 and implementation of minimal library of support
 functions.
 .
 This package contains debugging symbols for gLite L&B/JP interface library.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

p_dbg=libglite-jp-common2-dbg
p_dev=libglite-lbjp-common-jp-interface-dev
p_lib=libglite-jp-common2

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@ --parallel --fail-missing

override_dh_auto_configure: config.status
config.status:
	./configure --root=/ --prefix=/usr --libdir=lib --os-type=debian --project=emi

override_dh_auto_clean: config.status
	make clean

override_dh_clean:
	dh_clean
	rm -vf Makefile.inc config.status *.spec

override_dh_strip:
	dh_strip --dbg-package=$(p_dbg)

override_dh_auto_install:
	dh_auto_install
	rm -vf debian/tmp/usr/lib/*.la

override_dh_installdocs:
	dh_installdocs --link-doc=$(p_lib)

=== debian/watch ===
version=3
http://scientific.zcu.cz/emi/emi.lbjp-common.jp-interface/glite-lbjp-common-jp-interface-(.*)\.tar\.gz
